Package org.italiangrid.voms

# Class VOMSValidators

java.lang.Object
org.italiangrid.voms.VOMSValidators

public class VOMSValidators extends Object
A factory for VOMS attributes validators and parsers.

Author:
  Andrea Ceccanti

## Method Summary

Modifier and Type
Method
Description
`static VOMSACParser`
`newParser()`
`static VOMSACValidator`
`newValidator()`
`static VOMSACValidator`
`newValidator(ValidationResultListener listener)`
`static VOMSACValidator`
`newValidator(VOMSTrustStore trustStore, eu.emi.security.authn.x509.X509CertChainValidatorExt validator)`
`static VOMSACValidator`
`newValidator(VOMSTrustStore trustStore, eu.emi.security.authn.x509.X509CertChainValidatorExt validator, ValidationResultListener vrListener)`
`static VOMSACValidator`
`newValidator(VOMSTrustStore store, eu.emi.security.authn.x509.X509CertChainValidatorExt validator, ValidationResultListener vrListener, VOMSACLookupStrategy strategy)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### newValidator

public static VOMSACValidator newValidator(ValidationResultListener listener)

### newValidator

public static VOMSACValidator newValidator(VOMSTrustStore trustStore, eu.emi.security.authn.x509.X509CertChainValidatorExt validator, ValidationResultListener vrListener)

### newValidator

public static VOMSACValidator newValidator(VOMSTrustStore store, eu.emi.security.authn.x509.X509CertChainValidatorExt validator, ValidationResultListener vrListener, VOMSACLookupStrategy strategy)

### newValidator

public static VOMSACValidator newValidator(VOMSTrustStore trustStore, eu.emi.security.authn.x509.X509CertChainValidatorExt validator)

### newValidator

public static VOMSACValidator newValidator()

### newParser

public static VOMSACParser newParser()